Get a pump.fun coin's details
curl --request POST \
--url https://api.stophy.dev/v1/crypto/pump/coin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coin": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({coin: '<string>'})
};
fetch('https://api.stophy.dev/v1/crypto/pump/coin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/crypto/pump/coin"
payload = { "coin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"coin": {
"url": "<string>",
"isGraduated": true,
"isLive": true,
"isNsfw": true,
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"author": {
"id": "<string>",
"username": "<string>",
"name": "<string>",
"url": "<string>",
"avatar": "<string>",
"isVerified": true
},
"createdAt": "2023-11-07T05:31:56Z",
"lastTradeAt": "2023-11-07T05:31:56Z",
"marketCap": 123,
"athMarketCap": 123,
"currency": "<string>",
"athAt": "2023-11-07T05:31:56Z",
"bondingCurveProgress": 123,
"pool": "<string>",
"replies": 0,
"website": "<string>",
"twitter": "<string>",
"telegram": "<string>"
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Crypto
Crypto Pump.fun coin API
Call the Crypto Pump.fun coin API to get name, symbol, description, image, author and created at, as JSON or markdown. 1 credit.
POST
/
v1
/
crypto
/
pump
/
coin
Get a pump.fun coin's details
curl --request POST \
--url https://api.stophy.dev/v1/crypto/pump/coin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coin": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({coin: '<string>'})
};
fetch('https://api.stophy.dev/v1/crypto/pump/coin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/crypto/pump/coin"
payload = { "coin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"coin": {
"url": "<string>",
"isGraduated": true,
"isLive": true,
"isNsfw": true,
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"author": {
"id": "<string>",
"username": "<string>",
"name": "<string>",
"url": "<string>",
"avatar": "<string>",
"isVerified": true
},
"createdAt": "2023-11-07T05:31:56Z",
"lastTradeAt": "2023-11-07T05:31:56Z",
"marketCap": 123,
"athMarketCap": 123,
"currency": "<string>",
"athAt": "2023-11-07T05:31:56Z",
"bondingCurveProgress": 123,
"pool": "<string>",
"replies": 0,
"website": "<string>",
"twitter": "<string>",
"telegram": "<string>"
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
crypto.pump.coin - Returns:
datahascoin. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.crypto.pump.coin({ coin: "9BB6NFEcjBCtnNLFko2FqVQBq8HHM13kCyYcdQbgpump" });
console.log(result.data.coin);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.crypto.pump.coin(coin="9BB6NFEcjBCtnNLFko2FqVQBq8HHM13kCyYcdQbgpump")
print(result["data"]["coin"])
curl -X POST https://api.stophy.dev/v1/crypto/pump/coin \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"coin":"9BB6NFEcjBCtnNLFko2FqVQBq8HHM13kCyYcdQbgpump"}'
stophy crypto pump coin 9BB6NFEcjBCtnNLFko2FqVQBq8HHM13kCyYcdQbgpump
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json